# List

Launch stage: Public Preview

`GET /api/2.0/marketplace-provider/files`

List files attached to a parent entity.

API scopes: marketplace

## Query parameters

- `file_parent` (object, optional)
  - `parent_id` (string, optional)
  - `file_parent_type` (string, optional)
    Possible values: `PROVIDER`, `LISTING`, `LISTING_RESOURCE`
- `page_token` (string, optional)
- `page_size` (int32, optional)

## Returns

Returns a list of FileInfo objects.

## Response

```json
{
  "file_infos": [
    {
      "id": "string",
      "marketplace_file_type": "string",
      "file_parent": {},
      "mime_type": "string",
      "download_link": "string",
      "created_at": 0,
      "updated_at": 0,
      "display_name": "string",
      "status": "string",
      "status_message": "string"
    }
  ],
  "next_page_token": "string"
}
```

